package java.security.interfaces;

import java.math.BigInteger;

public interface RSAPrivateCrtKey extends RSAPrivateKey
{
    public static final long serialVersionUID = -5682214253527700368L;
    
    public abstract BigInteger getPublicExponent();
    
    public abstract BigInteger getPrimeP();
    
    public abstract BigInteger getPrimeQ();
    
    public abstract BigInteger getPrimeExponentP();
    
    public abstract BigInteger getPrimeExponentQ();
    
    public abstract BigInteger getCrtCoefficient();
}
